#
# spec file for package libcompizconfig
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   0
Name:           libcompizconfig
Version:        0.8.14
Release:        lp152.3.6
Summary:        CompizConfig plugin required for CCSM
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://github.com/compiz-reloaded/libcompizconfig
Source:         https://github.com/compiz-reloaded/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE libcompizconfig-config-dir.patch boo#438081 rodrigo@novell.com
Patch0:         %{name}-config-dir.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(compiz) < 0.9
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(x11)
Requires:       compiz < 0.9
Suggests:       libcompizconfig-backend < 0.9

%description
CompizConfig plugin required for compizconfig-settings-manager.

%package devel
Summary:        Development files for libcompizconfig
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(compiz) < 0.9
Requires:       pkgconfig(libxml-2.0)
Requires:       pkgconfig(protobuf)
Requires:       pkgconfig(x11)

%description devel
CompizConfig plugin required for compizconfig-settings-manager.

This package contains development files.

%prep
%setup -q
%patch0 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/compizconfig/
%config %{_sysconfdir}/compizconfig/config
%{_libdir}/%{name}.so.%{sover}*
%{_libdir}/compizconfig/
%dir %{_datadir}/compiz/
%{_libdir}/compiz/*ccp*
%{_datadir}/compiz/*ccp.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/compizconfig/
%{_libdir}/%{name}.so

%changelog
* Tue Apr 18 2017 sor.alexei@meowr.ru
- Update to version 0.8.14:
  * No changelog available.
* Sun Apr 10 2016 sor.alexei@meowr.ru
- Update to version 0.8.12.1:
  * Include autogen.sh into the tarball.
  * Drop locales support which is without actual locales.
* Sat Feb 13 2016 sor.alexei@meowr.ru
- Update to 0.8.12:
  * Avoid using templates in C code.
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Only suggest libcompizconfig-backend.
- Use a better upstream tarball.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 0.8.9.
- Update dependencies.
- Recommend libcompizconfig-backend.
- Remove libcompizconfig-rpmlintrc.
* Wed May 14 2014 ku.b@gmx.de
- run spec-cleaner
* Wed May 14 2014 ku.b@gmx.de
- Spec clean up:
  + skip unused patch section
  + fix License
  + skip old ccs-lib obsoletes / provides
  + skip ExclusiveArch: section in spec file
* Thu Apr 28 2011 robertherb@arcor.de - 0.8.8
- Update to version 0.8.8
* Fri Nov 13 2009 dimstar@opensuse.org
- Update to version 0.8.4:
  + Ignore extensions and string restrictions at startup
  + Fix circular dependencies
  + Use XDG_CACHE_HOME for protobuf cache
- Drop libcompizconfig-linkX11.patch - upstream included.
- Disable libcompizconfig-NOMAD.diff.
* Tue Aug 18 2009 dominique-obs@leuenberger.net
- Add libcompizconfig-linkX11.patch to fix startup error due to
  missing symbols (bnc#525691)
- Add missing startup-notify-devel BuildRequires.
* Wed Apr 15 2009 crrodriguez@suse.de
- use --disable-static instead of removing "*.a"
* Wed Feb 18 2009 jpr@novell.com
- Update libcompizconfig-config-dir.patch to cover the ini backend as
  well bnc#476288
* Fri Jan 30 2009 rodrigo@novell.com
- Add libcompizconfig-config-dir.patch for bnc#438081
* Mon Sep 29 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Wed Sep 24 2008 cyberorg@opensuse.org
- Fix .changes order
* Wed Sep 17 2008 cyberorg@opensuse.org
- Release 0.7.8
- l10n updates
- Fix many mem leaks
- Added kde4 session support
* Tue Sep  9 2008 davidr@novell.com
- Track changes to compiz package by adding wm and glx to the
  default set of plugins.
- Add dmx to the default set of plugins.
* Tue Jul  1 2008 mhopf@suse.de
- Update from buildservice.
* Sat May 31 2008 cyberorg@opensuse.org
- update to version 0.7.6
  - New "internal" tag in action metadata. The tag can be used to
    indicate that a binding is not a global binding.
  - Added workaround to ensure that Benchmark is the last plugin
  - App Switcher: Panel switching bindings moved to Bindings
    section
* Mon Apr 14 2008 mhopf@suse.de
- Update from buildservice.
* Thu Apr  3 2008 cyberorg@cyberorg.info
- 0.7.4 release
- Add overlapping output handling option to display settings
- Fix setting context from option changes (e.g. via dbus)
- Put focus stealing prevention level to Focus behaviour
- Make sure that symbols are only loaded locally
* Fri Mar 14 2008 aj@suse.de
- Fix specfile to not use %%version without version set.
* Fri Mar  7 2008 cyberorg@opensuse.org
- 0.7.2 development release
* Fri Feb  8 2008 cyberorg@cyberorg.info
- sync to latest git
- major review and fixes
* Mon Jan 14 2008 aj@suse.de
- Fix potential bufferoverflows.
* Tue Dec  4 2007 cyberorg@cyberorg.info
- sync to latest git
* Tue Oct 16 2007 cyberorg@cyberorg.info
- Update to release 0.6.0
* Sat Aug 25 2007 mrueckert@suse.de
- fixed filelist
- minimized buildrequires
- fixed rpmlint warnings
* Fri Aug 24 2007 cyberorg@cyberorg.info
- Add %%post and %%postun to run ldconfig- shut rpmlint up
- Sync to the latest git.
- new action settings rework
* Mon Aug 20 2007 ro@suse.de
- update to git-HEAD to fix build
* Mon Aug 13 2007 cyberorg@cyberorg.info
- Update to 0.5.2 release.
- Tons of bug fixes.
- Handle plugin requirement as after rule.
- Split out backend definitions in separate header file.
- Correctly reset privData pointer.
- Fixed getExistingProfiles for new config path
- Added proper debug message handling.
- Ensure ccp being loaded in plugin instead of sorted plugin list generation.
- Use default value for active_plugins setting rather than <autoenable> tag.
- Added setter / getter for plugin list autosorting setting.
- Added setter / getter for plugin list autosorting setting.
* Wed Aug  8 2007 schwab@suse.de
- Fix specfile.
* Tue Aug  7 2007 coolo@suse.de
- fix the biggest packaging problems
* Mon Aug  6 2007 dreveman@suse.de
- Make it possible to use ccp at the same time as the gconf
  plugin.
* Mon Aug  6 2007 dreveman@suse.de
- Initial version of package
